javax.validation.metadata

## Enum MethodType

- java.lang.Object
- - java.lang.Enum<MethodType>
  - - javax.validation.metadata.MethodType

- All Implemented Interfaces:
    Serializable, Comparable<MethodType>

      public enum MethodType
      extends Enum<MethodType>

  Represents the type of a method: getter or non getter.
  Since:
    1.1
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GETTER` A method following the getter pattern.
    `NON_GETTER` A method that does not follow the getter pattern.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MethodType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GETTER

          public static final MethodType GETTER

      A method following the getter pattern. A getter according to the JavaBeans specification is a method whose:
      - name starts with get, has a return type but no parameter
      - name starts with is, has a return type and is returning `boolean`.

    - #### NON_GETTER

          public static final MethodType NON_GETTER

      A method that does not follow the getter pattern. A getter according to the JavaBeans specification is a method whose:
      - name starts with get, has a return type but no parameter
      - name starts with is, has a return type and is returning `boolean`.

  - ### Method Detail

    - #### values

          public static MethodType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MethodType c : MethodType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MethodType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.